> For the complete documentation index, see [llms.txt](https://apidocs.onekeypayments.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://apidocs.onekeypayments.com/api-reference/cashouts-api.md).

# CASHOUTS API

- [Security aspects](https://apidocs.onekeypayments.com/api-reference/cashouts-api/security-aspects.md)
- [Calculating the Payload-Signature](https://apidocs.onekeypayments.com/api-reference/cashouts-api/security-aspects/calculating-the-payload-signature.md)
- [Banks](https://apidocs.onekeypayments.com/api-reference/cashouts-api/banks.md)
- [Get bank codes](https://apidocs.onekeypayments.com/api-reference/cashouts-api/banks/get-bank-codes.md)
- [Manage cashouts](https://apidocs.onekeypayments.com/api-reference/cashouts-api/manage-cashouts.md)
- [Create a cashout](https://apidocs.onekeypayments.com/api-reference/cashouts-api/manage-cashouts/create-a-cashout.md)
- [Get a cashout status](https://apidocs.onekeypayments.com/api-reference/cashouts-api/manage-cashouts/get-a-cashout-status.md)
- [Cancel a cashout](https://apidocs.onekeypayments.com/api-reference/cashouts-api/manage-cashouts/cancel-a-cashout.md)
- [Update a cashout status](https://apidocs.onekeypayments.com/api-reference/cashouts-api/manage-cashouts/update-a-cashout-status.md)
- [API Codes](https://apidocs.onekeypayments.com/api-reference/cashouts-api/manage-cashouts/api-codes.md)
- [Validate bank accounts](https://apidocs.onekeypayments.com/api-reference/cashouts-api/validate-bank-accounts.md)
- [Security aspects](https://apidocs.onekeypayments.com/api-reference/cashouts-api/validate-bank-accounts/security-aspects.md)
- [Calculating the Signature](https://apidocs.onekeypayments.com/api-reference/cashouts-api/validate-bank-accounts/security-aspects/calculating-the-signature.md): Learn how to calculate and send the Signature header value to verify requests integrity
- [Bank account validator](https://apidocs.onekeypayments.com/api-reference/cashouts-api/validate-bank-accounts/bank-account-validator.md)
- [Pix keys validator](https://apidocs.onekeypayments.com/api-reference/cashouts-api/validate-bank-accounts/pix-keys-validator.md)
- [API Codes](https://apidocs.onekeypayments.com/api-reference/cashouts-api/validate-bank-accounts/api-codes.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://apidocs.onekeypayments.com/api-reference/cashouts-api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
